Skip to main content
GET
/
v2
/
customers
/
{customerId}
Get Customer
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "number": "<string>",
  "customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "billingAddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "shipmentaddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "customAddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "otherAddresses": {
    "otherBillingAddresses": [
      {
        "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
        "company": "<string>",
        "company2": "<string>",
        "formOfAddress": "<string>",
        "title": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "street": "<string>",
        "address2": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "state": "<string>",
        "countryIso": "<string>",
        "vatID": "<string>",
        "phoneNumber": "<string>",
        "mobilePhoneNumber": "<string>",
        "emailAddress": "<string>",
        "fax": "<string>"
      }
    ],
    "otherShippingAddresses": [
      {
        "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
        "company": "<string>",
        "company2": "<string>",
        "formOfAddress": "<string>",
        "title": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "street": "<string>",
        "address2": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "state": "<string>",
        "countryIso": "<string>",
        "vatID": "<string>",
        "phoneNumber": "<string>",
        "mobilePhoneNumber": "<string>",
        "emailAddress": "<string>",
        "fax": "<string>"
      }
    ],
    "otherCustomerAddresses": [
      {
        "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
        "company": "<string>",
        "company2": "<string>",
        "formOfAddress": "<string>",
        "title": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "street": "<string>",
        "address2": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "state": "<string>",
        "countryIso": "<string>",
        "vatID": "<string>",
        "phoneNumber": "<string>",
        "mobilePhoneNumber": "<string>",
        "emailAddress": "<string>",
        "fax": "<string>"
      }
    ]
  },
  "paymentSettings": {
    "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "discount": 123,
    "paymentTarget": 123,
    "creditLimit": 123,
    "stopPaymentRequest": true
  },
  "customerSince": "2023-11-07T05:31:56Z",
  "lastChange": "2023-11-07T05:31:56Z",
  "languageIso": "<string>",
  "internalCompanyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerCategoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "taxIdentificationNumber": "<string>",
  "accountsReceivableNumber": 123,
  "commercialRegisterNumber": "<string>",
  "website": "<string>",
  "initialContact": "<string>",
  "ebayUsername": "<string>",
  "birthday": "2023-11-07T05:31:56Z",
  "isLocked": true,
  "isCashRegisterBased": true
}

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the Customer to return. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the customer for the given id.

Model Class: Customer

id
string<uuid>

Unique ID to identify a customer.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string

The customer's number.

customerGroupId
string<uuid>

The customer group ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object

The customer's default billing address.

shipmentaddress
object

The customer's default shipping address.

customAddress
object

The customer's default non-billing and non-shipping address.

otherAddresses
object

All other non-default addresses of the customer.

paymentSettings
object

The payment settings for the customer.

customerSince
string<date-time>

Date since they have been a customer.

lastChange
string<date-time>

Date of the last customer's data change.

languageIso
string

The customer's language.

internalCompanyId
string<uuid>

The internal ID of the company associated with the customer. This is configured in the company and email settings in JTL-Wawi

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerCategoryId
string<uuid>

The customer category ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

taxIdentificationNumber
string

The customer's tax identification number.

accountsReceivableNumber
integer<int32>

The customer's accounts receivable number.

commercialRegisterNumber
string

The customer's commercial register number.

website
string

The customer's website.

initialContact
string

The source of initial contact. This could be for example a specific sales channel, a convention or a marketing campaign.

ebayUsername
string

The customer's eBay username.

birthday
string<date-time>

The customer's date of birth.

isLocked
boolean

The customer's locked status for online shop sales channels.

isCashRegisterBased
boolean

States if a customer is from a cash-register or point of sale and if their data should be synchronized with JTL-POS, for example.